GLM_GTX_gradient_paint
GTX Extensions (Experimental)

Functions that return the color of procedural gradient for specific coordinates. More...

## Functions

template<typename T , precision P>
GLM_FUNC_DECL T | linearGradient (tvec2< T, P > const &Point0, tvec2< T, P > const &Point1, tvec2< T, P > const &Position)
| Return a color from a linear gradient. More...
template<typename T , precision P>
GLM_FUNC_DECL T | radialGradient (tvec2< T, P > const &Center, T const &Radius, tvec2< T, P > const &Focal, tvec2< T, P > const &Position)
| Return a color from a radial gradient. More...

## Detailed Description

Functions that return the color of procedural gradient for specific coordinates.

<glm/gtx/gradient_paint.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL T glm::linearGradient | ( | tvec2< T, P > const & | Point0,
|  | tvec2< T, P > const & | Point1,
|  | tvec2< T, P > const & | Position
| ) |  |

Return a color from a linear gradient.

See also
  - GLM_GTX_gradient_paint

GLM_FUNC_DECL T glm::radialGradient | ( | tvec2< T, P > const & | Center,
|  | T const & | Radius,
|  | tvec2< T, P > const & | Focal,
|  | tvec2< T, P > const & | Position
| ) |  |

Return a color from a radial gradient.

See also
  - GLM_GTX_gradient_paint